%global  commit_date   20180116
%global  commit_short  41f1a9b
%global  commit_long   41f1a9b5dcf4b0c92ffce378b3e772253be479e5

Name:       gnome-shell-extension-topicons-plus
Summary:    Move all legacy tray icons to the top panel
Version:    21
Release:    4.%{commit_date}.%{commit_short}%{?dist}
URL:        https://extensions.gnome.org/extension/1031/topicons/
License:    GPLv2
BuildArch:  noarch

# You can see the latest source releases here:
# https://github.com/phocean/TopIcons-plus/releases
Source0: https://github.com/phocean/TopIcons-plus/archive/%{commit_short}/TopIcons-plus-%{commit_short}.tar.gz
Source1: README.md

Requires: gnome-shell >= 3.16
Requires: gnome-shell-extension-common

Recommends: gnome-tweak-tool



%description
Many applications, such as chat clients, downloaders, and some media players,
are meant to run long-term in the background even after you close their window.
These applications remain accessible by adding an icon to the GNOME Shell Legacy
Tray. However, the Legacy Tray is hidden until you push your mouse into the
lower-left of the screen and click on the small tab that appears. TopIcons Plus
brings all icons back to the top panel, so that it's easier to keep track of
apps running in the background. You also get some options to control the look
and feel: You can leave the icons in full color, or dynamically convert them to
grayscale, etc.



# UUID is defined in extension's metadata.json and used as directory name.
%global  UUID                  TopIcons@phocean.net
%global  gnome_extensions_dir  %{_datadir}/gnome-shell/extensions/
%global  final_install_dir     %{buildroot}/%{gnome_extensions_dir}/%{UUID}

%prep
%autosetup -n TopIcons-plus-%{commit_long}

%build
# `build` make target is included in `make install`.

%install
%make_install  INSTALL_PATH=%{buildroot}/%{gnome_extensions_dir}
cp  %{SOURCE1}  ./README-fedora.md

rm %{final_install_dir}/locale/*/LC_MESSAGES/*.po
mv  %{final_install_dir}/locale  %{buildroot}/%{_datadir}/
%find_lang TopIcons-Plus

# README also gets copied to the standard documentation directory, so we don't
# need it here.
rm  %{final_install_dir}/README.md

# RPM will take care of gschemas, so we don't need to include a precompiled copy.
mkdir -p %{buildroot}/%{_datadir}/glib-2.0/schemas/
mv  %{final_install_dir}/schemas/org.gnome.shell.extensions.topicons.gschema.xml  \
	%{buildroot}/%{_datadir}/glib-2.0/schemas/
rm --recursive %{final_install_dir}/schemas/



%files -f TopIcons-Plus.lang
%doc README.md  README-fedora.md
%license gpl-2.0.txt
%{gnome_extensions_dir}/%{UUID}/
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.topicons.gschema.xml



%changelog
* Sun May 06 2018 Andrew Toskin <andrew@tosk.in> - 21-4.20180116.41f1a9b
- Upstream merged contributed localization updates but did not tag a
  release before archiving the project. No further updates are planned,
  apparently.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Oct 30 2017 Andrew Toskin <andrew@tosk.in> - 21-2
- Moved setup notes from RPM description to packaged README-fedora file.
- Moved localiztions to the standard system directories.

* Thu Sep 21 2017 Andrew Toskin <andrew@tosk.in> - 21-1
- Bump to upstream version 21, which includes new translations and code
  optimizations.

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Mar 14 2017 Andrew Toskin <andrew@tosk.in> - 20-1
- First build packaged in Fedora.
